/* -*-C-*-
*******************************************************************************
*
* File:         Alias.m
* RCS:          $Header: /usr/local/lib/cvs/EnhanceMail/Alias.m,v 1.1.1.3 1996/04/14 16:59:29 cedman Exp $
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 20 14:47:00 1995
* Modified:     Sat Apr 13 19:03:11 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import "EnhanceMail.h"
#import "Alias.h"

@implementation EnhanceAlias
+ finishLoading:(struct mach_header *)header
   {
   [self poseAs:[self superclass]];
   [[Alias new] changeClassTo:[self class]];
   return self;
   }

- removeUser:(int)index from:(const char *)group
   {
   return [super removeUser:index from:group];
   }

- addUser:(const char *)name group:(const char *)group
   {
   /* [self removeUser:oldindex group:group] */
   return [super addUser:name group:group];
   }
@end
