/* -*-C-*-
*******************************************************************************
*
* File:         Info.m
* RCS:          $Header: /usr/local/lib/cvs/EnhanceMail/Info.m,v 1.1.1.4 1995/11/05 18:34:32 cedman Exp $
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 13 11:48:05 1995
* Modified:     Sat Nov  4 23:32:04 1995 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import "EnhanceMail.h"
#import "Info.h"

static id mod=nil;

@implementation EnhanceInfo
+ finishLoading:(struct mach_header *)header
   {
   [self poseAs:[self superclass]];
   return self;
   }

- enhance
   {
   const char *old;
   char *new;
   NXRect or,nr;
   
   old=[releaseField stringValue];
   new=strcpy(alloca(strlen(old)+2),old);
   strcat(new,"e");
   [releaseField setStringValue:new];
   [releaseField sizeToFit];

   old=[versionField stringValue];
   [versionField getFrame:&or];
   new=strcpy(alloca(strlen(old)+100),old);
   strcat(new," (e");
   strcat(new,EnhanceVersion);
   strcat(new,")");
   [versionField setStringValue:new];
   [versionField sizeToFit];
   [versionField getFrame:&nr];
   [versionField moveBy:(or.origin.x+or.size.width)-(nr.origin.x+nr.size.width):0];
   
   return self;
   }

+ new
   {
   id ret=[super new];
   if (mod!=ret) mod=[ret enhance];
   return ret;
   }
@end
