/* -*-C-*-
*******************************************************************************
*
* File:         MailBox.h
* RCS:          $Header: /usr/local/lib/cvs/EnhanceMail/MailBox.h,v 1.1.1.7 1996/03/28 17:34:54 cedman Exp $
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 13 11:48:24 1995
* Modified:     Wed Mar 27 09:50:34 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import <appkit/appkit.h>
#import "MailApp.h"

@interface EnhanceMailBox : MailBox
- createStore;
- updateStore;
- deleteStore;
- (BOOL)hasStore;
- (int)storeSize;
- query:(const char *)expr;
@end

@interface MailBox(EnhanceMailBox)
- createStore;
- updateStore;
- deleteStore;
- (BOOL)hasStore;
- (int)storeSize;
- query:(const char *)expr;
@end
