/* -*-C-*-
*******************************************************************************
*
* File:         Toc.m
* RCS:          $Header: /usr/local/lib/cvs/EnhanceMail/Toc.m,v 1.1.1.5 1996/04/07 18:23:29 cedman Exp $
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 13 11:48:05 1995
* Modified:     Sun Apr  7 12:30:54 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import "EnhanceMail.h"
#import "Toc.h"

@implementation EnhanceToc
+ finishLoading:(struct mach_header *)header
   {
   [self poseAs:[self superclass]];
   return self;
   }

- (char)setState:(char)newstate forMsg:(int)msgno flush:(BOOL)flush
   {
   char oldstate;
   
   if (newstate=='f') newstate='+';
   oldstate=[super setState:newstate forMsg:msgno flush:flush];
   if ((oldstate=='+') && (newstate=='>'))
      [super setState:'+' forMsg:msgno flush:flush];
   return oldstate;
   }
@end
