/* -*-C-*-
*******************************************************************************
*
* File:         ComposeHelper.m
* RCS:          $Header: /usr/local/lib/cvs/EnhanceMail/ComposeHelper.m,v 1.1.1.5 1996/06/27 15:11:04 cedman Exp $
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 13 11:48:05 1995
* Modified:     Tue Jun 25 20:02:38 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import "EnhanceMail.h"
#import "ComposeHelper.h"
#import "Preferences.h"
#import "PGP.h"

@implementation EnhanceComposeHelper
+ finishLoading:(struct mach_header *)header
   {
   [NXApp addComposeHelperClass:self];
   return self;
   }

#if 0
- (View *)composeView
   {
   NXRect r = { { 0.0 , 0.0 }, { 64.0 , 64.0 } };
   return [[View alloc] initFrame:&r];
   }
#endif

- (BOOL)willDeliverMessage:(MailMessage *)mes to:(StringList *)rcpt
   {
   if (EnhanceUsePGP)
      if ([[EnhancePGP new] encodePGP:mes to:rcpt sign:EnhancePGPSign encrypt:EnhancePGPEncrypt]==NO)
         return NO;
   return YES;
   }
@end

