/* -*-C-*-
*******************************************************************************
*
* File:         EnhanceMail.h
* RCS:          $Header: /usr/local/lib/cvs/EnhanceMail/EnhanceMail.h,v 1.1.1.11 1996/06/25 13:44:08 cedman Exp $
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 13 11:48:24 1995
* Modified:     Tue Jun 25 09:19:37 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import <appkit/appkit.h>
#import "MailApp.h"
#import "SimpleString.h"

extern BOOL EnhanceControlP(void);
extern BOOL EnhanceShiftP(void);
extern BOOL EnhanceAlternateP(void);

extern BOOL EnhancePaths(const char *paths[]);

extern NXBundle *EnhanceBundle;
extern char *EnhanceVersion;

@interface EnhanceMail : MailDriver
   {
   }
@end

@interface Object(EnhanceMail)
- changeClassTo:class;
@end

@interface Menu(EnhanceMail)
- findCellWithTitle:(const char *)title;
- addSlashItem:(const char *)title action:(SEL)sel keyEquivalent:(unsigned short)code;
@end

@interface ButtonCell(EnhanceMail)
- (int)state;
- setState:(int)anInt;
@end
