/* -*-C-*-
*******************************************************************************
*
* File:         HelpPanel.m
* RCS:          $Header: /usr/local/lib/cvs/EnhanceMail/HelpPanel.m,v 1.1.1.1 1995/11/05 18:34:31 cedman Exp $
* Description:  
* Author:       Carl Edman
* Created:      Tue Oct 31 22:16:31 1995
* Modified:     Sun Nov  5 10:20:25 1995 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import "EnhanceMail.h"
#import "HelpPanel.h"

@implementation EnhanceHelpPanel
+ finishLoading:(struct mach_header *)header
   {
   if (EnhanceBundle==0) EnhanceBundle=[NXBundle bundleForClass:[self class]];
   [self poseAs:[self superclass]];
   return self;
   }

+ newForDirectory:(const char *)helpDirectory
   {
   id ret=[super newForDirectory:helpDirectory];
   char path[MAXPATHLEN+1],*c;
   
   if (EnhanceBundle && ret && (strcmp(helpDirectory,"Help")==0) 
       && [EnhanceBundle getPath:path forResource:"EnhanceHelp" ofType:0])
      {
      for(c=path;*c;c++);
      while((c>=path) && (*c!='/')) c--;
      *c='\0';
      [ret addSupplement:"EnhanceHelp" inPath:path];
      }

   return ret;
   }
@end
