/* -*-C-*-
*******************************************************************************
*
* File:         MailIndex.h
* RCS:          $Header: /usr/local/lib/cvs/EnhanceMail/MailIndex.h,v 1.1.1.2 1996/06/22 16:00:45 cedman Exp $
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 20 14:46:12 1995
* Modified:     Sat Jun 22 12:00:37 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import <appkit/appkit.h>
#import "MailApp.h"

@interface MailIndex : Object
   {
   id mes;
   int msgId;
   }

+ mailBox;
+ setMailBox:nmailbox;

- initMsgId:(int)nmsgId;
- free;
- (int)msgId;
- setMsgId:(int)nmsgId;
- mailMessage;
- (char)status;
- (BOOL)writeToStream:(NXStream *)stream wrapAtColumn:(int)col;
- (const char *)messageSubject;
- (const char *)messageFrom;
- (const char *)messageTo;
- (const char *)messageCc;
- (const char *)messageDate;
- (const char *)messageId;
- (const char *)messageNextReference;
- (const char *)messageContent;
@end
