/* -*-C-*-
*******************************************************************************
*
* File:         XImageURL.h
* RCS:          $Header: /usr/local/lib/cvs/EnhanceMail/XImageURL.h,v 1.1.1.4 1996/06/25 13:44:22 cedman Exp $
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 20 14:46:12 1995
* Modified:     Mon Jun 24 10:05:38 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import <appkit/appkit.h>
#import "MailApp.h"

@interface NXImage(XImageURL)
+ (BOOL)grabURL:(const char *)url to:(const char *)path;
+ (BOOL)grabURL:(const char *)url buffer:(char *)path;
+ (BOOL)grabURL:(const char *)url string:(SimpleString *)s;
- initURL:(const char *)url;
- initNameInPath:(const char *)filename;
@end
